curl -X PUT https://api.60db.ai/dialer/caller-id \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{"caller_id": "+919876543210"}'
await client.dialer.numbers.setCallerId({ caller_id: '+919876543210' });
client.dialer.numbers.set_caller_id(caller_id='+919876543210')
Dialer
Set Caller ID
Set default outbound caller ID for your workspace
PUT
/
dialer
/
caller-id
curl -X PUT https://api.60db.ai/dialer/caller-id \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{"caller_id": "+919876543210"}'
await client.dialer.numbers.setCallerId({ caller_id: '+919876543210' });
client.dialer.numbers.set_caller_id(caller_id='+919876543210')
Set the default phone number that appears on outbound calls. Requires Gate T (trunk setup).
Request
Headers
string
required
Bearer token with your API key
Body
string
required
Your rented phone number in E.164 format
Response
{
"success": true,
"data": {
"default_caller_id": "+919876543210"
}
}
Errors
- 403
CALLER_ID_NOT_OWNED— The number isn’t rented by your workspace
Example
curl -X PUT https://api.60db.ai/dialer/caller-id \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{"caller_id": "+919876543210"}'
await client.dialer.numbers.setCallerId({ caller_id: '+919876543210' });
client.dialer.numbers.set_caller_id(caller_id='+919876543210')